## gimpbrushmenu gimpbrushmenu — A widget for selecting brushes. |

## Functions

GtkWidget * | gimp_brush_select_widget_new ()
void | gimp_brush_select_widget_close ()
void | gimp_brush_select_widget_set ()

## Description

A widget for selecting brushes.

## Functions

### gimp_brush_select_widget_new ()

    GtkWidget *
    gimp_brush_select_widget_new (const gchar *title,
                                  const gchar *brush_name,
                                  gdouble opacity,
                                  gint spacing,
                                  GimpLayerMode paint_mode,
                                  GimpRunBrushCallback callback,
                                  gpointer data);

`gimp_brush_select_widget_new` is deprecated and should not be used in newly-written code.

Creates a new GtkWidget that completely controls the selection of a GimpBrush. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
brush_name | Initial brush name or `NULL` to use current selection. |
opacity | Initial opacity. -1 means to use current opacity. |
spacing | Initial spacing. -1 means to use current spacing. |
paint_mode | Initial paint mode. -1 means to use current paint mode. |
callback | A function to call when the selected brush changes. |
data | A pointer to arbitrary data to be used in the call to `callback` . |

#### Returns

A GtkWidget that you can use in your UI.

### gimp_brush_select_widget_close ()

    void
    gimp_brush_select_widget_close (GtkWidget *widget);

`gimp_brush_select_widget_close` is deprecated and should not be used in newly-written code.

Closes the popup window associated with `widget` .

#### Parameters

widget | A brush select widget. |

### gimp_brush_select_widget_set ()

    void
    gimp_brush_select_widget_set (GtkWidget *widget,
                                  const gchar *brush_name,
                                  gdouble opacity,
                                  gint spacing,
                                  GimpLayerMode paint_mode);

`gimp_brush_select_widget_set` is deprecated and should not be used in newly-written code.

Sets the current brush and other values for the brush select widget. Calls the callback function if one was supplied in the call to `gimp_brush_select_widget_new()`.

#### Parameters

widget | A brush select widget. |
brush_name | Brush name to set; `NULL` means no change. |
opacity | Opacity to set. -1.0 means no change. |
spacing | Spacing to set. -1 means no change. |
paint_mode | Paint mode to set. -1 means no change. |